Error at server start #288


  • New
  • Defect
Open
Assigned to spacemaniac
  • ironic_8b49 created this issue Jan 5, 2015

    What steps will reproduce the problem?
    1. install PermissionsBukkit 2.4 on Spigot 1.8 Build 19
    2.
    3.

    What is the expected output? What do you see instead?
    no errors in logs

    What version of the product are you using?
    2.4

    Do you have an error log of what happened?

    Please provide any additional information below.

    [15:07:11] [Server thread/ERROR]: Error occurred while enabling PermissionsBukkit v2.4 (Is it up to date?)
    java.lang.NoSuchMethodError: org.bukkit.Server.getOnlinePlayers()[Lorg/bukkit/entity/Player;
        at com.platymuus.bukkit.permissions.PermissionsPlugin.onEnable(PermissionsPlugin.java:53) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[craftbukkit.jar:git-Spigot-59b08be-0899683]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:335) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at org.bukkit.craftbukkit.v1_8_R1.CraftServer.loadPlugin(CraftServer.java:355) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at org.bukkit.craftbukkit.v1_8_R1.CraftServer.enablePlugins(CraftServer.java:315) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at net.minecraft.server.v1_8_R1.MinecraftServer.q(MinecraftServer.java:402) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at net.minecraft.server.v1_8_R1.MinecraftServer.k(MinecraftServer.java:370) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at net.minecraft.server.v1_8_R1.MinecraftServer.a(MinecraftServer.java:325) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at net.minecraft.server.v1_8_R1.DedicatedServer.init(DedicatedServer.java:211) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at net.minecraft.server.v1_8_R1.MinecraftServer.run(MinecraftServer.java:494) [craftbukkit.jar:git-Spigot-59b08be-0899683]
        at java.lang.Thread.run(Thread.java:745) [?:1.7.0_65]

  • ironic_8b49 added the tags New Defect Jan 5, 2015
  • _ForgeUser9936133 posted a comment Jan 7, 2015

    PermissionBukkit 2.4 is not throwing this error for me when I run it using "BuildTools #22 (Spigot 1.8 server)"

    What server version are you using?
    (I think the UUID change will require you to use craftbukkit 1.7.5 or newer)

  • ironic_8b49 posted a comment Jan 26, 2015

    I don't know what server version it is, a friend gave it to me, I recently found the download URL for the updated version. I will try the version you have, Thanks!

  • ironic_8b49 posted a comment Jan 27, 2015

    I download the #22 and #27 Builds of BuildTools.jar this morning and started with Build #27 and PermissionsBukkit 2.4 had no error at boot up in this version, so no need to try Build #22. Still got minor issues with two of my plugins, server runs good that's the important thing. Thanks for the info spetznack

  • _ForgeUser9936133 posted a comment Jan 29, 2015

    Sorry, I completely misunderstood how Spigot "versions" works now :P The version of BuildTool does not define the version of Spigot as it's just a tool to extract the .jar files you need.. The easiest way to see what version of Spigot you are running is through starting up the server and looking at the console or .log files. I'm using git-Spigot-d0d1d87-bc03b6f and I am not getting this message. :)


To post a comment, please login or register a new account.